import java.awt.Point;
import java.util.Arrays;
import java.util.Random;

public class Haupt {
    //public static Point[] pa;
    //public static int numPoints = 15;
    
    // erzeugt ein Array von anz Point-Objekten
    public static MyPoint[] generatePointArray(int anz) {
        Random rg = new Random(20);
        MyPoint[] pa = new MyPoint[anz];
        for(int i = 0; i < anz; i++) {
            int px = (int) (rg.nextDouble() * 30) - 15;
            int py = (int) (rg.nextDouble() * 30) - 15;
            pa[i] = new MyPoint(px,py);
        }
        return pa;
    }
    
    public static void main(String[] args) {
        MyPoint[] pointArray = generatePointArray(35);

        Arrays.sort(pointArray);
        
        for(int i = 0 ;  i < pointArray.length; i++) {
            System.out.println("Punkt: "+pointArray[i] +
            " hat den Abstand "+pointArray[i].distance(0,0)+
            " vom Ursprung");
        }
        
        double gesamtstrecke = 0;
        gesamtstrecke = gesamtstrecke + 
                pointArray[0].distance(0,0);
        for(int i = 0; i < (pointArray.length - 1); i ++) {
            gesamtstrecke = gesamtstrecke + 
                pointArray[i+1].distance(pointArray[i]);
        }
        System.out.println("gesamt: "+gesamtstrecke);
              
        PointGUI pg = new PointGUI();
        pg.pointArray = pointArray;
        pg.zeigeFenster();
    }
}
